


<?php
	include_once(__DIR__."/../../core.php");
?>
<form action="" method="post" role="form">
	<input type="hidden" name="backto" value="record-edit">
	<input type="hidden" name="op" value="update">
	<input type="hidden" name="id_record" value="<?php echo $id_record ?>">

	
	<?php
	
		
	
		//svuto varaibile di sessione
		$_SESSION['filtro_categoria']="0";
		$_SESSION['filtro_fornitore']="0";
		

		$pulsante_pa="1";
	
		// cerco id conto	
		$rs_tmp = $dbo->fetchArray("SELECT idstatodocumento , idconto , idbanca_vendite FROM co_documenti WHERE id=\"".$id_record."\"");
		$idconto_new = $rs_tmp[0]['idconto'];
		$idstatodocumento = $rs_tmp[0]['idstatodocumento'];
		$idbanca = $rs_tmp[0]['idbanca_vendite'];
			
		// impostazioni del documento
		$rs_tmp = $dbo->fetchArray("SELECT   co_tipidocumento.mod_prodotollo as mod_prodotollo ,co_tipidocumento.mod_ordineservizio as mod_ordineservizio , co_tipidocumento.sta_concluso as stato_chiusura , co_tipidocumento.differito_doc as differito_doc,  co_tipidocumento.txt_suffisso as suffisso, co_tipidocumento.id as indoc , co_tipidocumento.descrizione, dir , dir_pdf , dir_pdf_attivita ,sta_stampa , var_creaordine FROM co_tipidocumento INNER JOIN co_documenti ON co_tipidocumento.id=co_documenti.idtipodocumento WHERE co_documenti.id=\"".$id_record."\"");
		$dir = $rs_tmp[0]['dir'];
		$tipodoc = $rs_tmp[0]['descrizione'];
		$dir_pdf = $rs_tmp[0]['dir_pdf'];
		$dir_pdf_attivita = $rs_tmp[0]['dir_pdf_attivita'];
		$sta_stampa = $rs_tmp[0]['sta_stampa'];
		$var_creaordine = $rs_tmp[0]['var_creaordine'];
		$txtsuffisso = $rs_tmp[0]['suffisso'];
		$differito_doc = $rs_tmp[0]['differito_doc'];
		$stato_chiusura = $rs_tmp[0]['stato_chiusura'];
	
		
		$mod_ordineservizio= $rs_tmp[0]['mod_ordineservizio'];
		$mod_prodotollo = $rs_tmp[0]['mod_prodotollo'];
		
		// dati anagrafica
		$rs_ana = $dbo->fetchArray("SELECT *  FROM an_anagrafiche  WHERE idanagrafica=\"".$records[0]['idanagrafica']."\"");	
		$idanagrafica=$records[0]['idanagrafica'];
		
		// cerco se il documento ha ancora articoli da evadere e se e' abiltiato alle transazioni sucessive
		$pulsante_transazione="1";
		$pulsante_cambia_ana="1";
		$rs_test = $dbo->fetchArray("SELECT * FROM co_righe_documenti WHERE qta <> qta_evasa and iddocumento='".$id_record."'");	
		if( sizeof($rs_test) > 0 ) {
			$pulsante_transazione="0";			
		}	
		
		$rs_test = $dbo->fetchArray("SELECT id FROM co_righe_documenti WHERE iddocumento='".$id_record."'");	
		if( sizeof($rs_test) > 0 ) {
			$pulsante_cambia_ana="0";			
		}
		
		
		$abilita_transazioni=get_var_tipodoc2($id_record,'mod_transazioni');
		if( $abilita_transazioni == '0' ) {
			$pulsante_transazione="1";
		}	
		$vedi_transazione = get_var_tipodoc2($id_record,'vedi_transazione');	
		
		
		// verificao se di tipo elettronico
		$abilita_xml=get_var_tipodoc2($id_record,'elettronica');
	
		if( $abilita_xml == "1" ) {
			// testo se documento ha le scadenza pagamento
			$rw_scad = $dbo->fetchArray( "SELECT * , co_scadenziario.id as id_scad , co_tipidocumento.descrizione as des_doc
			FROM (co_scadenziario INNER JOIN (((co_documenti INNER JOIN an_anagrafiche ON co_documenti.idanagrafica=an_anagrafiche.idanagrafica) 
			INNER JOIN co_pagamenti ON co_documenti.idpagamento=co_pagamenti.id) 
			INNER JOIN co_tipidocumento ON co_documenti.idtipodocumento=co_tipidocumento.id) ON co_scadenziario.iddocumento=co_documenti.id) 
			INNER JOIN co_statidocumento ON co_documenti.idstatodocumento=co_statidocumento.id HAVING 1=1  
			and co_documenti.id='".$iddocumento."' 	ORDER BY `scadenza` ASC");		
			if( sizeof($rw_scad) == "0" )  $abilita_xml = "0" ;
			
		}		
		
		// cerco se il documento ha transazioni sucessive . se si disabilito puslante elimina
		$pulsante_elimina="0";
		$rs_test = $dbo->fetchArray("SELECT * FROM co_documenti_transazioni  WHERE idpadre='".$id_record."'");	
		if( sizeof($rs_test) > 0 ) {
			$pulsante_elimina="1";		
		}

		if( $stato_chiusura == $idstatodocumento ) {
			$pulsante_elimina="1";
			$pulsante_cambia_ana="0";			
		}		
		
		// variabili globali
		$read_oggetti="";
		$abilita_oggetti="";
		if( $pulsante_elimina == '1' ){				
			$read_oggetti="readonly";
			$abilita_oggetti="disabled";
		}
		
		// dati del documento
		$id_figlio=$records[0]['id_doc_figlio'];
		$id_ordine=$records[0]['id_ordine'];
		$id_ordine_padre=$records[0]['id_ordine_padre'];
		
		// variabili globali
		$read="";
		if( $dir == 'entrata' ){				
			$read="readonly";
		}
		$opt_stampa="1";
		
		
	
		// Testo se e' possibile fare la stampa
		if( $dir == 'entrata' ){
			$rs2 = $dbo->fetchArray("SELECT piva, codice_fiscale, citta, indirizzo, cap, provincia FROM an_anagrafiche WHERE idanagrafica=\"".$records[0]['idanagrafica']."\"");
			$campi_mancanti = array();					
			if( $rs2[0]['piva']=='' ){ if( $rs2[0]['codice_fiscale']=='' ){ array_push($campi_mancanti, 'codice fiscale'); } }
			if( $rs2[0]['citta']=='' ){ array_push($campi_mancanti, 'citt&agrave;'); }
			if( $rs2[0]['indirizzo']=='' ){ array_push($campi_mancanti, 'indirizzo'); }
			if( $rs2[0]['cap']=='' ){ array_push($campi_mancanti, 'C.A.P.'); }
			if( $dir=='entrata'  ){
				if( sizeof($campi_mancanti)>0 &&  $sta_stampa=='1'  ){
					echo "<div class='alert alert-warning'><i class='fa fa-warning'></i> Prima di procedere alla stampa completa i seguenti campi dell'anagrafica:".implode(', ', $campi_mancanti)."<a href=\"".$rootdir."/editor.php?id_module=".$modules_info['Anagrafiche']['id']."&id_record=".$records[0]['idanagrafica']."\" class=\"btn btn-warning\">Vai alla scheda anagrafica <i class='fa fa-chevron-right'></i></a></div>\n";					
					$opt_stampa="0";																	
				}
			}
		}
		
		// testo se impianto presente
		if( $records[0]['matricola'] != "0"  ){
			$rs_imp = $dbo->fetchArray("SELECT id FROM my_impianti WHERE idanagrafica='".$records[0]['idanagrafica']."' and matricola='".$records[0]['matricola']."'");
			$rs_id_matricola=$rs_imp[0]['id'];
			$mod_impianti=$modules_info['Installazioni']['id'];
		}
		
		// testo magazzino logistica documento
		$nome_magazzino="( Magazzino : Principale ";
		$mod_mag = get_var_tipodoc2($id_record,"mod_mag");
		$id_magazzino_e = get_var_tipodoc2($id_record,"id_magazzino_e");
		$id_magazzino_u = get_var_tipodoc2($id_record,"id_magazzino_u");
		$id_tipo_u = get_var_tipodoc2($iddocumento,"id_tipo_u");
		if( $id_magazzino_e != "0"  ){
			$rs_mag = $dbo->fetchArray("SELECT nome FROM mg_magazzini WHERE id='".$id_magazzino_e."'");
			$nome_magazzino="( Magazzino : ".$rs_mag[0]['nome'];
		}	
			if( $id_tipo_u != "0"  ){
				$rs_mag = $dbo->fetchArray("SELECT descrizione FROM ms_tipodocumentoeu WHERE id='".$id_tipo_u."'");
				$nome_magazzino=$nome_magazzino." con ".$rs_mag[0]['descrizione']." sul magazzino ";
				if( $id_magazzino_u != "0"  ){
					$rs_mag = $dbo->fetchArray("SELECT nome FROM mg_magazzini WHERE id='".$id_magazzino_u."'");
					$nome_magazzino=$nome_magazzino.$rs_mag[0]['nome'];
				}
			
			
			}
		
			
		$nome_magazzino=$nome_magazzino." )";
		
		if ($mod_mag == '0'	) $nome_magazzino="";
		$ordine_servizio=get_var_tipodoc($records[0]['idtipodocumento'],'mod_ordineservizio');
		if( $ordine_servizio=='1' ){				
			include ($docroot . "/modules/documenti/avvisi.php");
		}	
		
		
	?>	
	
	<!-- ghenerazione pannelli -->
	<ul class="nav nav-pills nav-justified" role="tablist">
		<li role="presentation" class="active"><a href="#pan_documento" aria-controls="pan_documento" role="tab" data-toggle="tab">Documento</a></li>
		<?php
			if( $abilita_xml == "1" ){
		?>
			<li role="presentation" ><a href="#pan_elettronica" aria-controls="pan_elettronica" role="tab" data-toggle="tab">Elettronica Xml</a></li>				
		<?php } ?>

		<?php
			if( $records[0]['nome_file_xml_import'] != "" ){
		?>
			<li role="presentation" ><a href="#import_pan_elettronica" aria-controls="import_pan_elettronica" role="tab" data-toggle="tab">Importazione Elettronica Xml</a></li>				
		<?php } ?>
		
    </ul>	
	
	
	
	<div class="tab-content">
		<div role="tabpanel" class="tab-pane active" id="pan_documento">			
			<?php
				include_once($docroot."/modules/documenti/edit_pan_documento.php");						
			?>
		</div>				
		<div role="tabpanel" class="tab-pane" id="pan_elettronica">			
			<?php
				include_once($docroot."/modules/documenti/edit_pan_elettronico.php");						
			?>															
		</div>	
		<div role="tabpanel" class="tab-pane" id="import_pan_elettronica">			
			<?php
				if( $records[0]['nome_file_xml_import'] != "" ){
					include_once($docroot."/modules/documenti/edit_import_pan_elettronico.php");
				}					
			?>															
		</div>	
	</div>	
	
	

	</form>

	


<form action="" method="post" role="form" id="form-copy">
	<input type="hidden" name="backto" value="record-list">
	<input type="hidden" name="op" value="copy">	
</form>

<form action="" method="post" role="form" id="form-delete">
	<input type="hidden" name="backto" value="record-list">
	<input type="hidden" name="op" value="delete">
</form>

<form action="" method="post" role="form" id="form-delete_xml">
	<input type="hidden" name="backto" value="record-edit">
	<input type="hidden" name="op" value="delete_xml">
</form>

<form action="" method="post" role="form" id="form-fattpa">
	<input type="hidden" name="backto" value="record-edit">
	<input type="hidden" name="op" value="fattpa">
</form>

<form action="" method="post" role="form" id="form-delete_pianificazione">
	<input type="hidden" name="backto" value="record-edit">
	<input type="hidden" name="op" value="unlink_pianifica">
</form>

<div class="clearfix"></div>
<script>
	
	
	
	var id_module = "<?php echo $_GET['id_module'] ?>";
	var idanagraficacerca = "<?php echo $idanagrafica ?>";
	
	
	$('#idcategoria').change( function(){ 			
		$.get('<?php echo $rootdir ?>/ajax_autocomplete.php?module=FiltroCat&idcategoria='+this.value+'&idmodulo='+id_module , function(data,response){ 				
		start_jquerychosen();
			start_inputmask();		
		});	
	});	
	
	$('#filtro').change( function(){ 	
		$.get('<?php echo $rootdir ?>/ajax_autocomplete.php?module=Filtro&idfiltro='+this.value+'&idmodulo='+id_module , function(data,response){ 				
		start_jquerychosen();
			start_inputmask();		
		});	
	});	
	
	
	
	$('.showcase.sweet1 button').on('click', () => {
		swal({
		  title: 'Sei sicuro?',
		  text: "Confermi creazione file XML!",
		  type: 'warning',
		  showCancelButton: true,
		  confirmButtonColor: '#3085d6',
		  cancelButtonColor: '#d33',
		  confirmButtonText: 'Conferma!'
		}).then((result) => {
		  if (result.value) {			
			 { $('#form-fattpa').submit(); }
		  }
		})
	})
	
	
	
	
	$('.showcase.sweet1_eliminaxml button').on('click', () => {
		swal({
		  title: 'Sei sicuro?',
		  text: "Eliminare questo file XML!",
		  type: 'warning',
		  showCancelButton: true,
		  confirmButtonColor: '#3085d6',
		  cancelButtonColor: '#d33',
		  confirmButtonText: 'Conferma!'
		}).then((result) => {
		  if (result.value) {			
			 { $('#form-delete_xml').submit(); }
		  }
		})
	})
	
	
	
	$('.showcase.sweet button').on('click', () => {
		swal({
		  title: 'Sei sicuro?',
		  text: "Eliminare questo elemento!",
		  type: 'warning',
		  showCancelButton: true,
		  confirmButtonColor: '#3085d6',
		  cancelButtonColor: '#d33',
		  confirmButtonText: 'Conferma!'
		}).then((result) => {
		  if (result.value) {			
			 { $('#form-delete').submit(); }
		  }
		})
	})
	
	
</script>